
# BaseModel::count 

### Usage

> int BaseModel::count([ string $where_sql = '' ], [ ... $args ])

### Description

> Get the number of records within the database table with optional where clause.

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
where_sql | No | string |
args | No | ... |

### Return
> int 
### See Also

* [all()](all)
* [delete()](delete)
* [deleteMany()](deletemany)
* [getChildren()](getchildren)
* [insert()](insert)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toFormattedArray()](toformattedarray)
* [update()](update)
* [where()](where)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


